# File: coffeelint.coffee

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src

## Variables Summary

coffeelint =

      exports

  Coffeelint's namespace. Browserify wrapps this file in a UMD that will set window.coffeelint to exports

nodeRequire =

      require

  Hide from browserify

coffeelint.VERSION =

      packageJSON

  The current version of Coffeelint.

ERROR =

      'error'

  CoffeeLint error levels.

WARN =

      'warn'

IGNORE =

      'ignore'

cache =

      null

  Cache instance, disabled by default

_rules =

      {}

## Method Summary

- ~ (void) extend(destination, sources...) Patch the source properties onto the destination.
- ~ (void) defaults(source, defaults) Patch any missing attributes from defaults to source.
- ~ (void) difference(a, b) Helper to remove rules from disabled list
- ~ (void) mergeDefaultConfig(userConfig) Merge default and user configuration.
- ~ (void) coffeelint(source)
- ~ (void) coffeelint(RuleConstructor, ruleName = void 0)
- ~ (void) coffeelint()
- ~ (void) hasSyntaxError(source)
- ~ (void) coffeelint(source, userConfig = {}, literate = false) Check the source against the given configuration and return an array of any errors found.
- ~ (void) coffeelint(obj)

## Method Details

~ (void) extend(destination, sources...)

Patch the source properties onto the destination.

~ (void) defaults(source, defaults)

Patch any missing attributes from defaults to source.

~ (void) difference(a, b)

Helper to remove rules from disabled list

~ (void) mergeDefaultConfig(userConfig)

Merge default and user configuration.

~ (void) coffeelint(source)

~ (void) coffeelint(RuleConstructor, ruleName = void 0)

~ (void) coffeelint()

~ (void) hasSyntaxError(source)

~ (void) coffeelint(source, userConfig = {}, literate = false)

Check the source against the given configuration and return an array of any errors found. An error is an object with the following properties: { rule : 'Name of the violated rule', lineNumber: 'Number of the line that caused the violation', level: 'The error level of the violated rule', message: 'Information about the violated rule', context: 'Optional details about why the rule was violated' }

~ (void) coffeelint(obj)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input